singleton Material(estcorolla)
{
	mapTo = "estcorolla";
	diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    diffuseColor[0] = "0.8 0.8 0.8 1";
    diffuseColor[1] = "0.9 0.9 0.9 0.6";
    specularPower[0] = "16";
    specularPower[1] = "16";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    beamngDiffuseColorSlot = 1;
    doubleSided = "1";
    dynamicCubemap = true;
}; 

singleton Material(estcorolla_glass)
{
	mapTo = "estcorolla_glass";
    reflectivityMap[0] = "vehicles/estcorolla/TXT/glass.png";
    diffuseMap[0] = "vehicles/estcorolla/TXT/glass.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/estcorolla/TXT/glass.png";
    specularMap[1] = "vehicles/estcorolla/TXT/glass.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_red_glass)
{
	mapTo = "estcorolla_red_glass";
    reflectivityMap[0] = "vehicles/estcorolla/TXT/redglass.dds";
    diffuseMap[0] = "vehicles/estcorolla/TXT/redglass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/estcorolla/TXT/redglass.dds";
    specularMap[1] = "vehicles/estcorolla/TXT/redglass.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_windshield_dmg)
{
    mapTo = "estcorolla_windshield_dmg";
    diffuseMap[0] = "vehicles/estcorolla/TXT/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/estcorolla/TXT/glass.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/estcorolla/TXT/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_glass_dmg)
{
    mapTo = "estcorolla_glass_dmg";
    diffuseMap[0] = "vehicles/estcorolla/TXT/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/estcorolla/TXT/glass.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/estcorolla/TXT/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_q8black)
{
   mapTo = "estcorolla_q8black";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/q8black.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_red)
{
   mapTo = "estcorolla_red";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/red.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_black)
{
   mapTo = "estcorolla_black";
   diffuseColor[0] = "0 0 0 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/common/null.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_leather)
{
   mapTo = "estcorolla_leather";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/leather.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_leather2)
{
   mapTo = "estcorolla_leather2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/leather2.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_leatherwhite)
{
   mapTo = "estcorolla_leatherwhite";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/leatherwhite.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_pedal)
{
   mapTo = "estcorolla_pedal";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/pedal.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_undercarriage)
{
   mapTo = "estcorolla_undercarriage";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/undercarriage.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_int)
{
   mapTo = "estcorolla_int";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/int.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_int_e)
{
   mapTo = "estcorolla_int_e";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
   glow[0] = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/int.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_int_buttons)
{
   mapTo = "estcorolla_int_buttons";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/int_buttons.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_frame)
{
   mapTo = "estcorolla_frame";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/frame.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_lightgrey)
{
   mapTo = "estcorolla_lightgrey";
   diffuseColor[0] = "0.6 0.6 0.6 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/common/null.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_carpet)
{
   mapTo = "estcorolla_carpet";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/carpet.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_fabric)
{
   mapTo = "estcorolla_fabric";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/fabric.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_cinture)
{
   mapTo = "estcorolla_cinture";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/cinture.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_bremmmbo)
{
   mapTo = "estcorolla_bremmmbo";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/bremmmbo.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_alcantara)
{
   mapTo = "estcorolla_alcantara";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/alcantara.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_bumph)
{
   mapTo = "estcorolla_bumph";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/bumph.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_bumpb)
{
   mapTo = "estcorolla_bumpb";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/bumpb.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_shina)
{
   mapTo = "estcorolla_shina";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/shina.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_lights)
{
   mapTo = "estcorolla_lights";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/vehiclelights.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_lights_on)
{
   mapTo = "estcorolla_lights_on";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
	glow[0] = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/vehiclelightson.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_lights_on_intense)
{
   mapTo = "estcorolla_lights_on_intense";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
	glow[0] = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/vehiclelightsonintense.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_orange)
{
   mapTo = "estcorolla_orange";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/orange.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_yellow)
{
   mapTo = "estcorolla_yellow";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/yellow.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_orange_g)
{
   mapTo = "estcorolla_orange_g";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
	glow[0] = "1";
   // translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcorolla/TXT/orange.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcorolla_mirror)
{
	mapTo = "estcorolla_mirror";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    // translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_chrome)
{
	mapTo = "estcorolla_chrome";
    diffuseMap[1] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[1] = "0.7 0.7 0.7 0.2";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    // translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_black_shiny)
{
	mapTo = "estcorolla_black_shiny";
    diffuseMap[1] = "vehicles/estcorolla/TXT/q8black.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[1] = "1 1 1 0.6";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    // translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_metal)
{
	mapTo = "estcorolla_metal";
    diffuseMap[1] = "vehicles/estcorolla/TXT/metal.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[1] = "1 1 1 0.8";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    // translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_dr18)
{
	mapTo = "estcorolla_dr18";
    diffuseMap[1] = "vehicles/estcorolla/TXT/dr18.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[1] = "1 1 1 0.8";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    // translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcorolla_lowbeam)
{
	mapTo = "estcorolla_lowbeam";
};

singleton Material(estcorolla_highbeam)
{
	mapTo = "estcorolla_highbeam";
};

singleton Material(estcorolla_signal_R)
{
	mapTo = "estcorolla_signal_R";
};

singleton Material(estcorolla_signal_L)
{
	mapTo = "estcorolla_signal_L";
};

singleton Material(estcorolla_taillight_R)
{
	mapTo = "estcorolla_taillight_R";
};

singleton Material(estcorolla_taillight_L)
{
	mapTo = "estcorolla_taillight_L";
};

singleton Material(estcorolla_taillight)
{
	mapTo = "estcorolla_taillight";
};

singleton Material(estcorolla_reverselight)
{
	mapTo = "estcorolla_reverselight";
};

singleton Material(estcorolla_fog)
{
	mapTo = "estcorolla_fog";
};

singleton Material(estcorolla_gauges)
{
	mapTo = "estcorolla_gauges";
};
